- [HTTP request](https://docs.cloud.google.com/service-usage/docs/reference/rest/v1beta1/services.consumerQuotaMetrics/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/service-usage/docs/reference/rest/v1beta1/services.consumerQuotaMetrics/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/service-usage/docs/reference/rest/v1beta1/services.consumerQuotaMetrics/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/service-usage/docs/reference/rest/v1beta1/services.consumerQuotaMetrics/list#body.request_body)
- [Response body](https://docs.cloud.google.com/service-usage/docs/reference/rest/v1beta1/services.consumerQuotaMetrics/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/service-usage/docs/reference/rest/v1beta1/services.consumerQuotaMetrics/list#body.ListConsumerQuotaMetricsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/service-usage/docs/reference/rest/v1beta1/services.consumerQuotaMetrics/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/service-usage/docs/reference/rest/v1beta1/services.consumerQuotaMetrics/list#try-it)

Retrieves a summary of all quota information visible to the service consumer, organized by service metric. Each metric includes information about all of its defined limits. Each limit includes the limit configuration (quota unit, preciseness, default value), the current effective limit value, and all of the overrides applied to the limit.

### HTTP request

`GET https://serviceusage.googleapis.com/v1beta1/{parent=*/*/services/*}/consumerQuotaMetrics`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Parent of the quotas resource. Some example names would be: `projects/123/services/serviceconsumermanagement.googleapis.com` `folders/345/services/serviceconsumermanagement.googleapis.com` `organizations/456/services/serviceconsumermanagement.googleapis.com` Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `serviceusage.quotas.get` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Requested size of the next page of data. |
| `pageToken` | `string` Token identifying which result to start with; returned by a previous list call. |
| `view` | ``enum (`https://docs.cloud.google.com/service-usage/docs/reference/rest/v1beta1/QuotaView`)`` Specifies the level of detail for quota information in the response. |

### Request body

The request body must be empty.

### Response body

Response message for consumerQuotaMetrics.list

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "metrics": [ { object (`https://docs.cloud.google.com/service-usage/docs/reference/rest/v1beta1/services.consumerQuotaMetrics#ConsumerQuotaMetric`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `metrics[]` | ``object (`https://docs.cloud.google.com/service-usage/docs/reference/rest/v1beta1/services.consumerQuotaMetrics#ConsumerQuotaMetric`)`` Quota settings for the consumer, organized by quota metric. |
| `nextPageToken` | `string` Token identifying which result to start with; returned by a previous list call. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform.read-only`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).